Bug 248848 - Update port: audio/playumidi: Fails to build on FreeBSD 13-current
Summary: Update port: audio/playumidi: Fails to build on FreeBSD 13-current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks: 248756
  Show dependency treegraph
 
Reported: 2020-08-23 11:41 UTC by Koine Yuusuke
Modified: 2020-09-20 13:53 UTC (History)
2 users (show)

See Also:


Attachments
Update port: audio/playumidi: Fails to build on FreeBSD 13-current (1.03 KB, patch)
2020-08-23 11:41 UTC, Koine Yuusuke
no flags Details | Diff
Update port: audio/playumidi: Fails to build on FreeBSD 13-current (1.02 KB, patch)
2020-09-06 08:59 UTC, Koine Yuusuke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koine Yuusuke 2020-08-23 11:41:44 UTC
Created attachment 217452 [details]
Update port: audio/playumidi: Fails to build on FreeBSD 13-current

Due to the duplicate definition of global variables on the source, a build failure error occurred on FreeBSD 13-current.
Therefore, we also fixed and updated the port.

Please update the port.

----
Koine Yuusuke(koinec@users.osdn.me)
Comment 1 Bugzilla Automation freebsd_committer 2020-08-23 11:41:44 UTC
Maintainer informed via mail
Comment 2 daniel.engberg.lists 2020-08-30 17:30:27 UTC
Hi,

Unfetchable, 
=> Attempting to fetch https://osdn.net/dl/playumidi/73494/playumidi-0.8.3.tar.gz
fetch: https://osdn.net/dl/playumidi/73494/playumidi-0.8.3.tar.gz: Not Found

Please update patch

Best regads,
Daniel
Comment 3 Koine Yuusuke 2020-09-06 08:59:40 UTC
Created attachment 217788 [details]
Update port: audio/playumidi: Fails to build on FreeBSD 13-current

I'm sorry.
Fix unfetchable error and update the port patch.
Sorry to trouble you, but please check again.
(This was due to incorrect usage of the OSDN clause in the Makefile.
 For this reason I removed the file id from the OSDN clause.)
Comment 4 daniel.engberg.lists 2020-09-09 09:22:09 UTC
Hi,

Works as expected, thanks!

Poudriere testport OK 12.1-RELEASE (amd64)
Comment 5 Rene Ladan freebsd_committer 2020-09-19 18:14:58 UTC
Grab
Comment 6 Rene Ladan freebsd_committer 2020-09-19 18:19:13 UTC
Testing on 1300115
Comment 7 Rene Ladan freebsd_committer 2020-09-19 18:39:45 UTC
Builds fine on 11.4 amd64/i386 and 13 i386/amd64 too.
Comment 8 commit-hook freebsd_committer 2020-09-19 18:42:14 UTC
A commit references this bug:

Author: rene
Date: Sat Sep 19 18:42:03 UTC 2020
New revision: 549048
URL: https://svnweb.freebsd.org/changeset/ports/549048

Log:
  audio/playumidi: update to version 0.8.3

  This fixes the build on CURRENT after importing LLVM 11.

  PR:		248848
  Submitted by:	Koine Yuusuke (maintainer)
  MFH:		2020Q3
  Event:		September 2020 Bugathon

Changes:
  head/audio/playumidi/Makefile
  head/audio/playumidi/distinfo
Comment 9 Rene Ladan freebsd_committer 2020-09-19 18:42:28 UTC
Committed, thanks for the patch.
Comment 10 commit-hook freebsd_committer 2020-09-20 13:53:46 UTC
A commit references this bug:

Author: rene
Date: Sun Sep 20 13:52:48 UTC 2020
New revision: 549113
URL: https://svnweb.freebsd.org/changeset/ports/549113

Log:
  MFH: r549048

  audio/playumidi: update to version 0.8.3

  This fixes the build on CURRENT after importing LLVM 11.

  PR:		248848
  Submitted by:	Koine Yuusuke (maintainer)
  Event:		September 2020 Bugathon

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/audio/playumidi/Makefile
  branches/2020Q3/audio/playumidi/distinfo